Subject: bug#62096: 30.0.50; find-dired, dired-goto-file and spaces

From: Stephen Berman <[email-masked]>
Date: Fri, 10 Mar 2023 16:59:59 +0100

On Fri, 10 Mar 2023 15:43:57 +0000 Drew Adams <[email-masked]> wrote:

>> I've found out that 'dired-goto-file' does not work with file name with
>> spaces in them.  It is only in buffers generated by 'find-dired' (it
>> works in a "normal" dired buffer).
>>
>> How to reproduce:
>>
>> --8<---------------cut here---------------start------------->8---
>>     emacs -Q --eval "(find-dired \"~\" \"-type f -name \\\"*.jpg\\\"\")"
>>
>>     j a-file-name-without-space.jpg       ;; it jumps to the file
>>     j vacation 2022/we needed space.jpg   ;; it doesn't
>> --8<---------------cut here---------------end--------------->8---
>>
>> In GNU Emacs 30.0.50 (build 1, x86_64-unknown-openbsd7.2, cairo version
>
> Good catch.  I can confirm seeing the bug (on
> MS Windows) also in 28.2 and older versions.

I don't see this bug on Emacs 26-30 built on GNU/Linux, i.e. typing `j'
in the find-dired output buffer and completing a file name with spaces
correctly jumps to the line with that file.

Steve Berman